from flask import Flask
from flask_sqlalchemy import SQLAlchemy

from management.data.shared import DataCreator


def init_prod_data(app: Flask, db: SQLAlchemy):
    creator = DataCreator(db)
    admin = creator.create_default_admin_user(app)
    db.session.add(admin)
    db.session.commit()
